Bug 1615338 - Rebalance status shows wrong count of "Rebalanced-files" if the file has hardlinks
Summary: Rebalance status shows wrong count of "Rebalanced-files" if the file has hard...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On:
Blocks: 1503137 1615474
TreeView+ depends on / blocked
 
Reported: 2018-08-13 11:28 UTC by Prasad Desala
Modified: 2018-09-17 07:18 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.12.2-16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1615474 (view as bug list)
Environment:
Last Closed: 2018-09-04 06:52:17 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:53:50 UTC

Description Prasad Desala 2018-08-13 11:28:37 UTC
Description of problem:
=======================
Rebalance status shows wrong count of "Rebalanced-files" if the file has hardlinks.

Total 20k files and each file has one hardlink.

[root@dhcp42-167 distrep-b0]# gluster v rebalance distrep status
                                    Node Rebalanced-files          size       scanned      failures       skipped               status  run time in h:m:s
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost             2240        57.6KB         16028             0          2240            completed        0:01:28
                            10.70.42.177             2120        54.9KB         16029             0          2120            completed        0:01:29
                            10.70.42.173             2060        50.5KB         16016             0          2060            completed        0:01:33
                            10.70.42.176             2174        53.6KB         15950             0          2174            completed        0:01:43
                            10.70.42.169             2161        53.6KB         15933             0          2161            completed        0:01:45
                            10.70.42.166             2152        56.1KB         15957             0          2152            completed        0:01:40

Rebalance should skip all the files as every file has hardlinks. So, the total number of "Rebalanced-files" in rebalance status should be '0'.

Version-Release number of selected component (if applicable):
3.12.2-15.el7rhgs.x86_64

How reproducible:
=================
always

Steps to Reproduce:
====================
1) Create a distributed-replicate volume and start it.
2) FUSE mount it on a client.
3) Create 10k file and create one hardlink for each file. (total number of files will be 20k)
4) Now, add-brick and trigger rebalance.
5) Wait till the rebalance completes.

Actual results:
===============
Rebalance status shows wrong count of "Rebalanced-files" if the file has hardlinks.

Expected results:
=================
Rebalance should skip all the files as every file has hardlinks. So, the total number of "Rebalanced-files" in rebalance status should be '0'

Additional info:
================
sos-reports, gluster-health-check reports will be shared.

Comment 11 Prasad Desala 2018-08-21 06:02:23 UTC
Verified this BZ on 3.12.2-16.el7rhgs.x86_64.

root@dhcp42-143 ~]# gluster v rebalance prasad status
                                    Node Rebalanced-files          size       scanned      failures       skipped               status  run time in h:m:s
                               ---------      -----------   -----------   -----------   -----------   -----------         ------------     --------------
                               localhost                0        0Bytes         23201             0          3454            completed        0:02:21
                             10.70.43.41                0        0Bytes         22765             0          3428            completed        0:02:10
                             10.70.43.35                0        0Bytes         22767             0          3286            completed        0:02:05
                             10.70.43.37                0        0Bytes         21646             0          2906            completed        0:01:53

Comment 13 errata-xmlrpc 2018-09-04 06:52:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.